
QGIS Application - Bug report #20010

Abnormal  RAM usage by geometry check

2018-10-04 07:36 AM - Antonio Viscomi

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Geometry Checker

Affected QGIS version:3.2.3 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27832

Description

Hi all, 

I must perform geometry check in a polygon layer...

I setup the checker than I observe a Ram usage of about 30GB

I attach two screenshots

Best regards

History

#1 - 2018-10-04 04:06 PM - Giovanni Manghi

- Status changed from Open to Feedback

Why is tagged as a regression? You does not observe this leak in previous releases like 2.18?

#2 - 2018-10-04 04:38 PM - Antonio Viscomi

Giovanni Manghi wrote:

Why is tagged as a regression? You does not observe this leak in previous releases like 2.18?

in 2.18 it not works properly with the same file

in previous version of QGIS 3 (but with only 16GB of ram) it worked fine (ram usage about 6-7GB)

#3 - 2018-10-04 08:50 PM - Giovanni Manghi

in previous version of QGIS 3 (but with only 16GB of ram) it worked fine (ram usage about 6-7GB)

same input file and parameters?

#4 - 2018-10-04 09:35 PM - Antonio Viscomi

Input file is huge but I can provide it Tomorrow, 
For settings in geometry checker how should I can share them? 

With a screenshot?

#5 - 2018-10-04 09:57 PM - Antonio Viscomi

Here are the data i tried to check

https://drive.google.com/file/d/16_PNEWJvXyU0gLig1AncZptZ4OVlCXM-/view?usp=sharing

#6 - 2018-10-04 09:58 PM - Antonio Viscomi

Let me know how i can share settings

#7 - 2018-10-04 10:10 PM - Giovanni Manghi

Antonio Viscomi wrote:

Input file is huge but I can provide it Tomorrow, 

For settings in geometry checker how should I can share them? 

With a screenshot?

that was not my question: I asked if the difference in RAM usage amount was noticed using the very same input and configurations in the two QGIS

versions you describe.

The dataset is anyway useful, thanks.

#8 - 2018-10-04 10:21 PM - Antonio Viscomi

Ok the settings in Italian language are in screenshots attached

Thanks a lot

#9 - 2018-10-04 10:29 PM - Antonio Viscomi

Giovanni Manghi wrote:

Antonio Viscomi wrote:

Input file is huge but I can provide it Tomorrow, 

For settings in geometry checker how should I can share them? 

With a screenshot?

that was not my question: I asked if the difference in RAM usage amount was noticed using the very same input and configurations in the two QGIS

versions you describe.

The dataset is anyway useful, thanks.
Yes dataset is the same in previous and current version (qgis3) 

for qgis2 when i launch the check qgis it crashes and it shut down

#10 - 2018-10-04 10:32 PM - Antonio Viscomi

Antonio Viscomi wrote:

Giovanni Manghi wrote:

Antonio Viscomi wrote:

Input file is huge but I can provide it Tomorrow, 

For settings in geometry checker how should I can share them? 

With a screenshot?

that was not my question: I asked if the difference in RAM usage amount was noticed using the very same input and configurations in the two QGIS

versions you describe.

The dataset is anyway useful, thanks.

Yes dataset is the same in previous and current version (qgis3) 

for qgis2 when i launch the check qgis it crashes and it shut down

Parameters are also the same

#11 - 2018-10-05 03:40 PM - Antonio Viscomi

Today I've retry to perform geometry check with the same parameter and the same data

but with a clean user profile

well: the RAM usage was back to normal at about 6.7GB then I suppose that my old corrupt profile caused abnormal usage

than this ticket could be closed

thanks a lot for your attention

#12 - 2018-10-06 10:54 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
